- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_content_library_manager – Create, update and delete VMware content library

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Module to manage VMware content Library

- Content Library feature is introduced in vSphere 6.0 version, so this module is not supported in the earlier versions of vSphere.

- All variables and VMware object names are case sensitive.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- PyVmomi

- vSphere Automation SDK

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
datastore_name string |  | Name of the datastore on which backing content library is created. This is required only if `state` is set to `present`. This parameter is ignored, when `state` is set to `absent`. Currently only datastore backing creation is supported. aliases: datastore
hostname string |  | The hostname or IP address of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead.
library_description string | Default: "" | The content library description. This is required only if `state` is set to `present`. This parameter is ignored, when `state` is set to `absent`. Process of updating content library only allows description change.
library_name string / required |  | The name of VMware content library to manage.
library_type string | Choices: local ← subscribed | The content library type. This is required only if `state` is set to `present`. This parameter is ignored, when `state` is set to `absent`.
password string |  | The password of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. aliases: pass, pwd
protocol string | Choices: http https ← | The connection to protocol.
state string | Choices: present ← absent | The state of content library. If set to `present` and library does not exists, then content library is created. If set to `present` and library exists, then content library is updated. If set to `absent` and library exists, then content library is deleted. If set to `absent` and library does not exists, no action is taken.
username string |  | The username of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `no` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.

## Notes

Note

- Tested on vSphere 6.5, 6.7

## Examples

    - name: Create Content Library
      vmware_content_library_manager:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        library_name: test-content-lib
        library_description: 'Library with Datastore Backing'
        library_type: local
        datastore_name: datastore
        validate_certs: False
        state: present
      delegate_to: localhost

    - name: Update Content Library
      vmware_content_library_manager:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        library_name: test-content-lib
        library_description: 'Library with Datastore Backing'
        validate_certs: no
        state: present
      delegate_to: localhost

    - name: Delete Content Library
      vmware_content_library_manager:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        library_name: test-content-lib
        validate_certs: no
        state: absent
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
content_library_info dictionary | on success | library creation success and library_id Sample: {'library_id': 'd0b92fa9-7039-4f29-8e9c-0debfcb22b72', 'library_description': 'Test description', 'library_type': 'LOCAL', 'msg': "Content Library 'demo-local-lib-4' created."}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pavan Bidkar (@pgbidkar)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.